Bug 214819 - Satellite-sync NEEDS versioned caching!!!!!
Summary: Satellite-sync NEEDS versioned caching!!!!!
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pradeep Kilambi
QA Contact: Brandon Perkins
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 471260
TreeView+ depends on / blocked
 
Reported: 2006-11-09 16:59 UTC by John Wregglesworth
Modified: 2009-03-20 20:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-03-20 20:07:33 UTC


Attachments (Terms of Use)

Description John Wregglesworth 2006-11-09 16:59:29 UTC
Description of problem: satellite-sync's caching isn't versioned. This causes an
issue where we have to manually remove the cache when the cache format changes.
What really needs to happen is that satellite-sync will detect when the version
of the cache changes and will automatically replace the cache as needed. This
will enable us to simplify the upgrade process a little bit.


Version-Release number of selected component (if applicable): All of them.


How reproducible: Always


Steps to Reproduce:
1. Upgrade rhns-server on a satellite.
2. ls -l /var/cache/rhn/
  
Actual results: /var/cache/rhn/ is wiped out.


Expected results: We should only wipe out /var/cache/rhn/ when the format of the
cache changes.


Additional info: I used capslock and multiple exclamation points just like I
said I would in IRC. :)

Comment 1 Mike McCune 2007-04-04 17:50:20 UTC
moving to 510

Comment 2 Red Hat Bugzilla 2007-04-12 01:41:08 UTC
User bnackash@redhat.com's account has been closed

Comment 5 Bill Nottingham 2009-02-27 16:23:15 UTC
*** Bug 487604 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.